Early Core 2 Duo iMac/Mac Mini with Core 2 Duo upgrade, 10.7.3 safe to update?

Discussion in 'iMac' started by burnout8488, Feb 6, 2012.

  1. macrumors 6502a

    Joined:
    May 8, 2011
    Location:
    Endwell, NY
    #1
    Hey gang -

    Just wanted to make sure it is safe to upgrade to 10.7.3 before I bite the bullet.

    There is always a possibility Apple may have added another "check" in Lion so these unsupported macs won't boot after installing a new update, and my computer is far too valuable for me right now (Schoolwork) to find out the hard way.

    My early '06 iMac is running 10.7.2 even though it is technically unsupported. It is upgraded to a Core 2 Duo (Originally a 2.0 Core Duo) and I removed the platformsupport.plist file so Lion would install.

    If someone has upgraded to 10.7.3 and removed the platformsupport.plist file with no ill effects, I'd like to hear about it!

    Thanks!
     
  2. macrumors 6502

    Joined:
    Jul 29, 2010
    #2
    If you don't want no wifi after sleeping your mac then don't upgrade. Had to downgrade due to this problem. I will not be updating again9 until there is a fix), to much hassle.

    Hope this helps, Peace
     
  3. thread starter macrumors 6502a

    Joined:
    May 8, 2011
    Location:
    Endwell, NY
    #3
    I don't use Wi-Fi, but that'd bother me nonetheless. It doesn't really sound like 10.7.3 has any benefits for me at this point, as 10.7.2 isn't giving me any problems. However, if I know I can upgrade without my install being affected by the fact this is an unsupported mac, I will do it. Just don't want to be the guinea pig!
     
  4. macrumors 603

    Michaelgtrusa

    Joined:
    Oct 13, 2008
    Location:
    Everywhere And Nowhere
    #4
    I would run the combo update. You should be ok.
     
  5. thread starter macrumors 6502a

    Joined:
    May 8, 2011
    Location:
    Endwell, NY
    #5
    *should* be, yes. By now one of us C2D hackers has had to try it, chime in if so!
     
  6. macrumors newbie

    Joined:
    Aug 16, 2011
    #6
    I upgraded my late 2006 iMac 6,1 with 10.7.3 and all is fine. :D I do have 4gb installed although it only recognizes 3gb. My newer 2010 iMac did not like 10.7.3 and now suffers from the wifi awake from sleep issue. :confused:
     
  7. macrumors 68040

    cocky jeremy

    Joined:
    Jul 12, 2008
    Location:
    Huntington, WV
    #7
    If you're already on Lion, it won't hurt. If you're on Snow Leopard, sit still. I've had way too many problems with Lion on my C2D. Random freezes, crashes, kernel panics. None of which occurred on Snow Leopard. Checked hardware, too. Nothing wrong there.
     
  8. thread starter macrumors 6502a

    Joined:
    May 8, 2011
    Location:
    Endwell, NY
    #8
    I've got 10.7.2 right now, it runs like an absolute dreamboat. The computer is one of my favorite Macs now ever since I did the C2D upgrade. I'm really glad I don't do work that requires a lot of power, because this is the sweet spot for me.

    I feel like I'm probably overreacting and the 10.7.3 install will be fine.
     
  9. macrumors newbie

    Joined:
    May 19, 2012
    #9
    @burnout8488

    I followed your instructions mentioned here

    http://www.youtube.com/watch?v=KkpPr8N1gRk

    and happily I've got 4 gb ram on my Imac 4.1

    however I bought an t7200 @667mhz and my Imac does not boot.
    Only fan is working at high speed ...What am I doing wrong?
     
  10. macrumors newbie

    Joined:
    May 19, 2012
    #10
    after a few hours I managed to boot it by just smc imac

    however fan speed is always full....
     

Share This Page